local addonName = ...
local addon = _G[addonName]
local spells = {}
addon.spells = spells

--Alliance (Retail)
local portalSpellsAllianceRetail = {10059, 11416, 11419, 32266,
33691, 53142, 49360, 88345, 132620, 176246, 120146, 224871, 281400, 344597};

local teleportSpellsAllianceRetail = {3561, 3562, 3565, 32271,
33690, 53140, 49359, 88342, 132621, 176248, 120145, 224869, 281403, 193759, 344587};

--Horde (Retail)
local portalSpellsHordeRetail = {11417, 11420, 11418, 32267,
35717, 53142, 49361, 88346, 132626, 176244, 120146, 224871, 281402, 344597};

local teleportSpellsHordeRetail = {3567, 3566, 3563, 32272,
35715, 53140, 49358, 88344, 132627, 176242, 120145, 224869, 281404, 193759, 344587};

--Alliance (Classic)
local portalSpellsAllianceClassic = {10059, 11416, 11419};
local teleportSpellsAllianceClassic = {3561, 3562, 3565};

--Horde (Classic)
local portalSpellsHordeClassic = {11417, 11420, 11418};
local teleportSpellsHordeClassic = {3567, 3566, 3563};

--Conjuring
local conjuringSpellsRetail = {};
local conjuringSpellsClassic = {
	--Food
	587, 597, 990, 6129, 10144, 10145, 28612,
	--Water
	5504, 5505, 5506, 6127, 10138, 10139, 10140,
};

function spells.InitializeSpellTables()
	if UnitFactionGroup("player") == "Alliance" then
		if addon.isRunningClassic then
			spells.conjuringSpells = conjuringSpellsClassic;
			spells.portalSpells = portalSpellsAllianceClassic;
			spells.teleportSpells = teleportSpellsAllianceClassic;
		else
			spells.conjuringSpells = conjuringSpellsRetail;
			spells.portalSpells = portalSpellsAllianceRetail;
			spells.teleportSpells = teleportSpellsAllianceRetail;
		end

	elseif UnitFactionGroup("player") == "Horde" then
		if addon.isRunningClassic then
			spells.conjuringSpells = conjuringSpellsClassic;
			spells.portalSpells = portalSpellsHordeClassic;
			spells.teleportSpells = teleportSpellsHordeClassic;
		else
			spells.conjuringSpells = conjuringSpellsRetail;
			spells.portalSpells = portalSpellsHordeRetail;
			spells.teleportSpells = teleportSpellsHordeRetail;
		end
	else
		addon:Print("Please choose a faction first")
	end
end